package be.iminds.ilabt.jfed.rspec.request.ext.xen;

import javax.xml.bind.annotation.*;

/**
 * XSD for http://www.protogeni.net/resources/rspec/ext/emulab/1 xen not found
 * So we just define it ourselves here.
 *
 * (there is an xsd bound to http://www.protogeni.net/resources/rspec/ext/emulab/1 as well:
 *    http://www.protogeni.net/resources/rspec/ext/emulab/1/ptop_extension.xsd
 *    BUT THIS IS NOT THE SAME, even if it is same namespace!
 * )
 *
 * <emulab:xen xmlns="http://www.protogeni.net/resources/rspec/ext/emulab/1" cores="1" ram="512" disk="8"/>
 * (this gets added added to the request RSpec sliver_type element)
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "xen")
public class Xen {
    @XmlAttribute(name = "cores")
    private Integer cores;

    @XmlAttribute(name = "ram")
    private Integer ram;

    @XmlAttribute(name = "disk")
    private Integer disk;

    public Xen() {
        this.cores = null;
        this.ram = null;
        this.disk = null;
    }
    public Xen(int cores, int ram, int disk) {
        this.cores = cores;
        this.ram = ram;
        this.disk = disk;
    }

    public int getCores() {
        return cores;
    }
    public int getRam() {
        return ram;
    }
    public int getDisk() {
        return disk;
    }
    public void setCores(int cores) {
        this.cores = cores;
    }
    public void setRam(int ram) {
        this.ram = ram;
    }
    public void setDisk(int disk) {
        this.disk = disk;
    }
}
